<?php
function getDirSize($dir)
{
  $count = 0;
  if(!$fd = opendir($dir))
    return 0;
  while (($file = readdir($fd)) !== false){
    if($file == "." || $file == "..") continue;
    if(is_dir("$dir/$file")){
      $count += getDirSize("$dir/$file");
    }
    else if(is_file("$dir/$file"))
      $count += filesize("$dir/$file");
  }
  closedir($fd);
  return $count;
}
?>
